Lua_TimeLineAddCamEffect = class("Lua_TimeLineAddCamEffect", Lua_TimeLineData);
function Lua_TimeLineAddCamEffect:decodeConfig(t)
	self:superCall("decodeConfig", t);
	self.pos = Vector3(t.pos[1],t.pos[2],t.pos[3]);
	self.rot = Vector3(t.rot[1],t.rot[2],t.rot[3]);
	self.path = t.path;
	self.modelName = t.modelName;
end
function Lua_TimeLineAddCamEffect:doAction()
	self:superCall("doAction");
	local cei = CamEffectItem();
    cei.cid = self.targetId;
    cei:loadEffect(self.path, self.modelName);
    cei:setPos(self.pos);
    ThingUtil.instance:addCamEffect(cei);
    ActingManager.getInstance():addCreateCamEffect(self.targetId);
end