Lua_TimeLineCreateObject = class("Lua_TimeLineCreateObject", Lua_TimeLineData);
function Lua_TimeLineCreateObject:decodeConfig(t)
	self:superCall("decodeConfig", t);
	self.pos = Vector3(t.pos[1],t.pos[2],t.pos[3]);
	self.objId = t.objId;
	self.dir = t.dir;
end
function Lua_TimeLineCreateObject:doAction()
	self:superCall("doAction");
	local data = MonsterData(self.targetId, self.objId);
    data.kind = Lua_ThingDefine.NPC;
    data.hp = 1;
    data.maxHp = 1;
    data.px = self.pos.x;
    data.py = self.pos.y;
    data.pz = self.pos.z;
    data.dir = self.dir;
    data.mustShow = true;
    data.noDelay = true;
    ThingUtil.instance:addNpc(data);
    ActingManager.getInstance():addCreateThing(self.targetId);
end