Lua_TimeLineJumpPoint = class("Lua_TimeLineJumpPoint", Lua_TimeLineData);
function Lua_TimeLineJumpPoint:decodeConfig(t)
	self:superCall("decodeConfig", t);
	self.pos = Vector3(t.pos[1],t.pos[2],t.pos[3]);
	if t.speed ~= nil then
		self.speed = t.speed;
	else
		self.speed = Lua_CommonUtil.getCommonConfig("map_jump_speed", 1)
	end
	if t.actSpeed ~= nil then
		self.actSpeed = t.actSpeed;
	else
		self.actSpeed = Lua_CommonUtil.getCommonConfig("map_jump_acc", 1)
	end
end
function Lua_TimeLineJumpPoint:doAction()
	self:superCall("doAction");
	local ap = self:getAnimalPlayer(self.targetId);
	if ap == nil then
		return;
	end
    if ap.ac:isDoingAction(13) == true then
        ap.ac:disableActionState(13);
        ap.root.transform.parent = ContainerUtil.getConainer("Thing").transform;
        local lp = ap.root.transform.localPosition;
        ap:setPosPoint(lp.x * 100, lp.y * 100, lp.z * 100, false);
        -- ap.root.transform.localRotation = Quaternion(0, 0, 0, 0);
        LuaUtil.setObjRot(ap.root, 0, 0, 0);
        ap:setShadowState(true);
    end
        ap:jumpTo(self.pos,
                self.speed, self.actSpeed, -1, true, false, false, 0);
end