Lua_TimeLineMoveTo = class("Lua_TimeLineMoveTo", Lua_TimeLineData);
function Lua_TimeLineMoveTo:decodeConfig(t)
	self:superCall("decodeConfig", t);
	self.pos = Vector3(t.pos[1],t.pos[2],t.pos[3]);
	self.speed = t.speed;
end
function Lua_TimeLineMoveTo:doAction()
	self:superCall("doAction");
	local ap = self:getAnimalPlayer(self.targetId);
	if ap == nil then
		return;
	end
	local list = LuaUtil.findPath(ap.currentPoint, self.pos);
    if ap.data.kind ~= Lua_ThingDefine.PLAYER then
        ap.data.spd = this.speed;
    end
    ap:walking(list);
end